/**
 * Copyright 2021 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * @return input < 0? -1. input = 0? 0. input > 0? 1.
 */
export declare function signum(input: number): number;
/**
 * Ensure min <= input <= max
 */
export declare function clamp(min: number, max: number, input: number): number;
/**
 * Linearly interpolate from start to stop, by amount (0.0 <= amount <= 1.0)
 */
export declare function lerp(start: number, stop: number, amount: number): number;
/**
 * Determine the shortest angle between two angles, measured in degrees.
 */
export declare function differenceDegrees(a: number, b: number): number;
/**
 * Ensure 0 <= degrees < 360
 */
export declare function sanitizeDegrees(degrees: number): number;
/**
 * Convert radians to degrees.
 */
export declare function toDegrees(radians: number): number;
/**
 * Convert degrees to radians.
 */
export declare function toRadians(degrees: number): number;
